#include <cstdio>
#include <cstdlib>
#include <cstring>
#include <iostream>
#include <string>

using namespace std;

const int maxn = 1000;
const int maxk = 1000;

int n[maxn], len, k;
int del[maxn+1][maxk], fr[maxn+1][maxk];

void go(int i, int j, int i1, int j1, int add)
{
    if (del[i1][j1] < 0 || del[i][j] + add < del[i1][j1]) {
        del[i1][j1] = del[i][j] + add;
        fr[i1][j1] = j;
    }
}

void rec(int i, int j)
{
    if (!i) return;
    rec(i-1, fr[i][j]);
    if (del[i-1][fr[i][j]] == del[i][j])
        cout << n[i-1];
}

int main()
{
    int i, j;

    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);

    string s;
    cin >> k >> s;
    len = s.length();
    for (i = 0; i < len; i++) {
        n[i] = s[i] - '0';
    }

    memset(del, 0xff, sizeof(del));
    del[0][0] = 0;
    for (i = 0; i < len; i++) {
        for (j = 0; j < k; j++) {
            if (del[i][j] < 0) continue;
            if (del[i][j] != i || n[i]) {
                go(i, j, i+1, (j*10 + n[i]) % k, 0);
            }
            go(i, j, i+1, j, 1);
        }
    }

    if (del[len][0] != len) {
        rec(len, 0);
    } else {
        cout << "IMPOSSIBLE";
    }
    cout << endl;

    fclose(stdin); fclose(stdout);
}
